import inflection


def create_service(method, method_name, pad=8, array_size=2):
    parameter = method['parms'][0]['name']
    parameters = f"Dim {parameter} ({array_size})"

    vba_function_name = method_name
    vba_function = method['original_name']
    vba_code = f'''# # Autogenerated comment: 
        # # some methods require a system service call as the methods expects a vb array object
        # # passed to it and there is no way to do this directly with python. In those cases the following code
        # # should be uncommented and edited accordingly. Otherwise completely remove all this.
        # # vba_function_name = '{method_name}'
        # # vba_code = """
        # # Public Function {vba_function_name}({inflection.underscore(method['class_name'])})
        # #     {parameters}
        # #     {inflection.underscore(method['class_name'])}.{vba_function} {parameter}
        # #     {vba_function_name} = {parameter}
        # # End Function
        # # """'''

    text = f"{' ' * pad}# # {vba_code}\n\n" \
           f"{' ' * pad}# # system_service = SystemService(self.application.SystemService)\n"

    ss = f"{' ' * pad}# # return system_service.evaluate(vba_code, 0, vba_function_name, [self.com_object])\n"

    text = text + ss

    return text
